// WhiteKey.java

package ch.aplu.clavier;

import ch.aplu.android.*;
 
public class WhiteKey extends Actor
{
  // octave number, note name
  private final static String[] whiteNotes =
  {
    "2c", "2d", "2e", "2f", "2g", "2a", "2h",
    "3c", "3d", "3e", "3f", "3g", "3a", "3h",
    "4c"
  };
  private final static String sound = "p";  // Piano
  private int index;

  public WhiteKey(int index)
  {
    super("white_key");
    this.index = index;
  }

  public void play()
  {
    gameGrid.playSound(sound + whiteNotes[index], false);
  }
}
