// LunarLander.java
// Lunar lander

package ch.aplu.lunarlander;

import ch.aplu.android.*;

public class LunarLander extends GameGrid
{
  public LunarLander()
  {
    super("moon", false, true, windowZoom(300));
    setScreenOrientation(PORTRAIT);
  }
  
  public void main()
  {
    int screenWidth = getNbHorzCells();
    int screenHeight = getNbVertCells();
    setSimulationPeriod(50);
    Lander lander = new Lander(screenWidth, screenHeight);
    addNavigationListener(lander);
    addActor(lander, new Location(2 * screenWidth / 3, screenWidth / 7));
    doRun();
  }
}
 
