// EV3TouchDemo.java

package ch.aplu.ev3touchdemo;

import ch.aplu.android.*;
import ch.aplu.android.ev3.*;

public class EV3TouchDemo extends GameGrid 
{
  public void main()
  {
    GGConsole c = GGConsole.init();
    c.println("Connection engaged...");
    LegoRobot robot = new LegoRobot("10.0.1.1");
    if (!robot.isConnected())
    {
       c.println("Connection failed");
       return;
    }
    c.println("Connection established");   
    Gear gear = new Gear();
    robot.addPart(gear);
    gear.forward();
    TouchSensor ts = new TouchSensor();
    robot.addPart(ts);
    while (robot.isConnected())
    {
      if (ts.isPressed())
      {
        c.println("Touch sensor pressed");   
        gear.backward(2000);
        gear.forward();
      }
      Tools.delay(1);
    }
    c.println("Connection lost");   
  }
}
